//.---------------.
//|               |
//| GLCubeSaver.h |
//|               |
//'---------------'

#ifndef _GLCUBESAVER_H_
#define _GLCUBESAVER_H_

#include <DirectGLWindow.h>
#include <ScreenSaver.h>
//#include <Beep.h>
//#include <View.h>

#include "GLCubeConfig.h"
#include "GLCubeWindow.h"
#include "support.h"

//*********************************************************************************************

class GLCubes : public BScreenSaver
{
	public:
		GLCubes(BMessage *message, image_id image);

		status_t	SaveState(BMessage *prefs) const;
		void		restore_state(BMessage *prefs);
		void		StartConfig(BView *view);
		status_t	StartSaver(BView *view, bool preview);
		void		StopSaver();
	
	private:
		friend class GLCubeConfig;
		friend class GLWindow;	
		
		GLWindow	*viewport;

		attrib		properties;		
};

#endif


