//.-----------.
//|           |
//| support.h |
//|           |
//'-----------'

#ifndef _CUBESAVERSUPPORT_H_
#define	_CUBESAVERSUPPORT_H_

#include <gl.h>

enum {cube_list = 1, pyramid_list, gem_list, diamond_list};

struct attrib {
		int		numcubes;
		int		cubespin;
		int		shape;
		int		texture;
		float	cubesize;
		bool	nobounds;
		bool	wireframe;
		bool	fountain;
		bool	lights;
		bool	opaque;
		bool	solidcolor;
		bool	pulsate;
		bool	collisions;
		bool	showfps;
};

struct Cube
{
	GLfloat	xpos,
			ypos,
			xdir,
			ydir,
			spin,
			spinpos,
			scale;
};

#endif